Bug 23551 - Problem with renewal period when using the renewal tab
Summary: Problem with renewal period when using the renewal tab
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major with 12 votes (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
: 23802 (view as bug list)
Depends on: 7088
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-06 07:03 UTC by Govind Basedia
Modified: 2019-11-08 15:20 UTC (History)
12 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.05


Attachments
Bug 23551: Fix AddRenewal call in circ/renew.pl (1.17 KB, patch)
2019-10-04 13:07 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23551: Fix AddRenewal call in circ/renew.pl (1.59 KB, patch)
2019-10-14 21:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23551: Fix AddRenewal call in circ/renew.pl (1.67 KB, patch)
2019-10-15 13:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Govind Basedia 2019-09-06 07:03:35 UTC
Hi All,

Recently I am facing a problem while renew the checkout book in koha
19.05 . 

I allocated 14 days for loan period, But when i renew the book  the
system is not adding the loan period (current date + 14 days). system
is showing current date. 

Is there any option to be change current system preference ?. Now the
system preference is showing "RenewalPeriodBase: the current date"
Comment 1 Katrin Fischer 2019-09-06 07:43:37 UTC
Hi Govind, trying to help narrow this down a bit more:
- Does it happen from OPAC and staff interface?
- What is your renewal period set to? (loan period is only the initial)
Comment 2 Govind Basedia 2019-09-06 07:49:44 UTC
(In reply to Katrin Fischer from comment #1)
> Hi Govind, trying to help narrow this down a bit more:
> - Does it happen from OPAC and staff interface?
> - What is your renewal period set to? (loan period is only the initial)

Yes 15 days
Comment 3 Govind Basedia 2019-09-30 05:18:32 UTC
Not solved this problem
Hi All,

Recently I am facing a problem while renew the checkout book in koha
19.05 . 

I allocated 14 days for loan period, But when i renew the book  the
system is not adding the loan period (current date + 14 days). system
is showing current date. 

Is there any option to be change current system preference ?. Now the
system preference is showing "RenewalPeriodBase: the current date"
Comment 4 SiobhanC 2019-09-30 08:45:35 UTC
This is happening for me too - when I use the 'renew' function in the header search, it renews to the exact time of renewal, rather than picking up on the circ rules. Renewing from the Loans table in the user record works as expected.
Comment 5 Fiona Borthwick 2019-10-02 12:02:14 UTC
Can we try to pursue a fix for this soon please? Renewals work ok from the patron record but lots of our customers use this Renew option when they just want to renew a single item. It is a problem at 18.11 also.
We have now had 3 customers report the same issue in the space of 3 days.
Comment 6 Katrin Fischer 2019-10-02 12:21:02 UTC
I think until 2 days ago we were missing the final clue - the difference is between the renewal tab and the other renewal features. I updated the severity and changed the title.
Comment 7 Martin Renvoize 2019-10-04 13:07:55 UTC
Created attachment 93746 [details] [review]
Bug 23551: Fix AddRenewal call in circ/renew.pl
Comment 8 Martin Renvoize 2019-10-04 13:09:49 UTC
I
Comment 9 Martin Renvoize 2019-10-04 13:10:39 UTC
I think this traces back to bug 7088, though that's not in 18.11.x series as far as I can tell.

Either way, the fix should resolve the issue and I will attempt to add a selenium regression test shortly.
Comment 10 Katrin Fischer 2019-10-11 11:39:37 UTC
*** Bug 23802 has been marked as a duplicate of this bug. ***
Comment 11 Katrin Fischer 2019-10-14 21:14:05 UTC
Created attachment 94105 [details] [review]
Bug 23551: Fix AddRenewal call in circ/renew.pl

Without the patch, renewing from the renewal tab/page
led to wrong renewal/due dates.

To test:
- Check an item out to your patron account
- Renew it from the patron account
- Note the due date
- Return the item
- Check the item out again
- Renew it using the renewal tab
- Verify a different due date was calculated
- Apply patch
- Repeat test - due dates now should be the same

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 melis ozmen 2019-10-15 06:31:40 UTC
works good. thank you
Comment 13 Jonathan Druart 2019-10-15 13:43:30 UTC
Created attachment 94214 [details] [review]
Bug 23551: Fix AddRenewal call in circ/renew.pl

Without the patch, renewing from the renewal tab/page
led to wrong renewal/due dates.

To test:
- Check an item out to your patron account
- Renew it from the patron account
- Note the due date
- Return the item
- Check the item out again
- Renew it using the renewal tab
- Verify a different due date was calculated
- Apply patch
- Repeat test - due dates now should be the same

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
It's ugly, but we are mimicking what is done in svc/renew so that's fine :)
Comment 14 Martin Renvoize 2019-10-17 13:54:35 UTC
Nice work!

Pushed to master for 19.11.00
Comment 15 Aleisha Amohia 2019-10-24 23:55:11 UTC
Hey team, great work with this! Can it please be backported for 19.05?
Comment 16 Fridolin SOMERS 2019-11-08 15:20:27 UTC
Pushed to 19.05.x for 19.05.05